Retrieve one maintenance window with an end date in the future.
Required Roles
You can successfully call this endpoint with any assigned role.
Request
Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0
GET /groups/{PROJECT-ID}/maintenanceWindows/{MW-ID}Request Path Parameters
Name | Type | Description |
|---|---|---|
| string | Unique identifier of the project. |
| string | Unique identifier of the maintenance window you want to retrieve. |
Request Query Parameters
Name | Type | Necessity | Description | Default |
|---|---|---|---|---|
pretty | boolean | Optional | Flag indicating whether the response body is in a prettyprint format. |
|
envelope | boolean | Optional | Flag that indicates whether to wrap the response in an envelope. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. For endpoints that return one result, the response body includes:
|
|
Request Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
Name | Type | Description |
|---|---|---|
| string | Unique identifier of the maintenance window. |
| string | Unique identifier of the project to which this maintenance window applies. |
| string | Timestamp in ISO 8601 date and time format in UTC when the maintenance window was created. |
| string | Timestamp in ISO 8601 date and time format in UTC when the maintenance window was last updated. |
| string | Timestamp in ISO 8601 date and time format in UTC when the maintenance window starts. |
| string | Timestamp in ISO 8601 date and time format in UTC when the maintenance window ends. |
| array of strings | Alert types to silence during maintenance window. For example: |
| string | Description of the maintenance window. This field appears only if you provide a description of the maintenance window. |
Example Request
curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \ --header "Accept: application/json" \ --include \ --request GET "https://<OpsManagerHost>:<Port>/api/public/v1.0/groups/{PROJECT-ID}/maintenanceWindows/{MW-ID}"Example Response
Response Header
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-aliveHTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}Response Body
{ "alertTypeNames" : [ "AGENT", "BACKUP" ], "created" : "2015-10-22T15:04:31Z", "description" : "new description", "endDate" : "2015-10-23T23:30:00Z", "groupId" : "{PROJECT-ID}", "id" : "5628faffd4c606594adaa3b2", "startDate" : "2015-10-23T22:00:00Z", "updated" : "2015-10-22T15:04:31Z", "links" : []}